Mail archive
alpine-devel

[alpine-devel] [PATCH] Initial APKBUILD for perl-xml-writer

From: Fabian Affolter <fabian_at_affolter-engineering.ch>
Date: Sun, 3 Jul 2011 13:20:13 +0000

Package description:
Perl extension for writing XML documents
---
 testing/perl-xml-writer/APKBUILD |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-xml-writer/APKBUILD
diff --git a/testing/perl-xml-writer/APKBUILD b/testing/perl-xml-writer/APKBUILD
new file mode 100644
index 0000000..9c30a29
--- /dev/null
+++ b/testing/perl-xml-writer/APKBUILD
_at_@ -0,0 +1,32 @@
+# Contributor: Fabian Affolter <fabian_at_affolter-engineering.ch>
+# Maintainer:
+pkgname=perl-xml-writer
+_realname=XML-Writer
+pkgver=0.612
+pkgrel=0
+pkgdesc="Perl extension for writing XML documents"
+url="http://search.cpan.org/~josephw/XML-Writer-0.612/"
+arch="noarch"
+license="PerlArtistic"
+depends="perl"
+depends_dev=""
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/J/JO/JOSEPHW/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_realname-$pkgver
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="2f3c6c282f9f79d33639c55bf7afa4b0  XML-Writer-0.612.tar.gz"
-- 
1.7.4.5
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Sun Jul 03 2011 - 13:20:13 UTC